/*
 *  lettertree.h
 *  yalex
 *
 *  Created by Benot Sagot on Fri Feb 27 2004.
 *  Copyright (c) 2004 INRIA. All rights reserved.
 *
 */

#ifndef LETTERTREE_H
#define LETTERTREE_H

struct node {
	struct node * down;
	struct leaf * leaf;
	int nd;
	char c;
};

struct leaf {
	void ** data;
	int count;
};

typedef struct node Node;
typedef struct leaf Leaf;

Node * new_tree(void);
void delete_tree(Node * tree);
int add_data(Node * tree, char * word, void * data);
int has_word(Node * tree, char * word);
void** get_data(Node * tree, char * word);
int parse_tree(Node * tree);

#endif
